Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1
  • 2

SUJET : [Résolu]Probleme d'upgrade en 2.5

[Résolu]Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13589

  • xiringuito
  • Portrait de xiringuito
Bonjour, je suis en 2.4.1 avec easyphp 1.8, cela fait deux jours que j'essai d'upgrader dolibarr vers 2.5, sans succès. J'ai essayé en premier de copier tous les fichiers dans le rep dolibarr puis lancer localhost/dolibarr/htdocs/install et la j'obtient l'erreur suivante :
Notice: Constant SYSLOG_FILE already defined in c:\program files\easyphp1-8\www\dolibarr\htdocs\install\inc.php on line 148

Notice: Constant SYSLOG_FILE_NO_ERROR already defined in c:\program files\easyphp1-8\www\dolibarr\htdocs\install\inc.php on line 149

Warning: Cannot modify header information - headers already sent by (output started at c:\program files\easyphp1-8\www\dolibarr\htdocs\install\inc.php:148) in c:\program files\easyphp1-8\www\dolibarr\htdocs\install\index.php on line 38

Ensuite j'ai essayer de faire une nouvelle installation et de restaurer ma base mais la j'obtient un nouveau message d'erreur:
Il semble qu'il y ait une erreur dans votre requête SQL. Le message ci-bas peut vous aider à en trouver la cause.

ERROR: Ponctuation invalide @ 3
STR: :\
SQL:
c:\program files\easyphp1-8\mysql\bin\mysqldump.exe: c:\program files\easyphp1-8\mysql\bin\mysqldump.exe: Couldn't execute 'show create table `llx_c_ape`': Ne peut ouvrir le fichier: 'llx_c_ape.ibd' (Errcode: 1) (1016)


requête SQL:

c:\program files\easyphp1-8\mysql\bin\mysqldump.exe: c:\program files\easyphp1-8\mysql\bin\mysqldump.exe: Couldn't execute 'show create table `llx_c_ape`': Ne peut ouvrir le fichier: 'llx_c_ape.ibd' (Errcode: 1) (1016)

MySQL a répondu:

#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'c:\program files\easyphp1-8\mysql\bin\mysqldump.exe: c:\program files\easyphp1-8' at line 1

Ce message reviens systématiquement que la base soit plène ou vide.

Je ne sais plus dans quelle direction partir...
Dernière édition: il y a 10 ans 3 mois par xiringuito.
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13610

  • antares
  • Portrait de antares
  • Hors ligne
  • Fresh Boarder
  • Messages : 11
  • Karma: 0
ca ne va pas avec easyphp1.8 et avec la version3 apres la mise a jours j avais des erreurs dans mysql .
j ai resolu en installant wampserveur .
je te conseil de faire de meme
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13613

  • xiringuito
  • Portrait de xiringuito
c'est ce que j'ai fait mais je n'arrive pas à restaurer ma base, je me retrouve systématiquement avec la deuxième erreur du premier post.
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13618

  • antares
  • Portrait de antares
  • Hors ligne
  • Fresh Boarder
  • Messages : 11
  • Karma: 0
oui tu a cree une nouvelle base a l installation
tu vas dans phpmyadmin le plus rapide tu supprime la base que tu as créé
ensuite tu la recréé .
la tu as une base vide dans laquelle tu importe ta sauvegarde
et normalement si ta sauvegarde est bonne ca doit fonctionner (mais attention le sauvegarde doit avoir ete faite via phpmyadmin celle via dolibarr je n ai pas essayé)
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13638

  • eldy
  • Portrait de eldy
  • Hors ligne
  • Administrateur
  • Messages : 1048
  • Remerciements reçus 54
  • Karma: 106
Ta sauvegarde a-t-elle été bien faite par la commande mysqldump ?
Toute autre sauvegarde (comme par phpMyAdmin) ne peut etre restauré et n'a donc aucun intérêt.
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13650

  • xiringuito
  • Portrait de xiringuito
Je recapitule, ce que je fais pour le passage en doliwamp.
1- sous ma version de dolibarr 2.4.1, je fais une sauvegarde, via l'outil intégré, en laissant toutes les options par default.
2- sur un autre PC (ds le cas ou il y aurait incompatibilité avec easyphp), j'ouvre phpmyadmin (install doliwamp) je supprime la base dolibarr, la recréé, et importe ma sauvegarde, et la j'ai toujours cette erreur, "Ne peut ouvrir le fichier: 'llx_c_ape.ibd' (Errcode: 1) (1016)"
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13658

  • eldy
  • Portrait de eldy
  • Hors ligne
  • Administrateur
  • Messages : 1048
  • Remerciements reçus 54
  • Karma: 106
phpMyAdmin doit etre oublié pour faire des sauvegardes et restaurations !
Suivre plutot la procédure décrite sur le wiki:
wiki.dolibarr.org/index.php/Sauvegardes
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13677

  • antares
  • Portrait de antares
  • Hors ligne
  • Fresh Boarder
  • Messages : 11
  • Karma: 0
la je ne sais pas essaye la methode de eldy ,chez moi ca a bien fonctionné je cale la
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13678

  • antares
  • Portrait de antares
  • Hors ligne
  • Fresh Boarder
  • Messages : 11
  • Karma: 0
j ai pigé l erreur excuse moi j ai mal lu ton premier poste

alors tu crés un dossier tu copie la version 2.4.1 ensuite dans ce dossier tu cres un autre dossier dans lequel tu copiele version 2.5 .
tu installe la 2.4.1 avec ta base d origine ,une fois fini tu vas dans la 2.5 install,en local l adresse doit etre du style http://127.0.0.1/dolibarr2.4.1/dolibarr2.5/install
tu selectionne la meme base bien sur tu vas jusqu'au bout .
quand tu as fini tu retourne dans l install de la 2.5 et la tu auras les options de mise a jours de la base de données
et apres ca, ca doit fonctionner
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13693

  • xiringuito
  • Portrait de xiringuito
Connexion au serveur : localhost OK
Version de la base 4.1.9-max
Création des tables et des clés primaires OK
Création des clés étrangères et des index pour la table llx_events.key
Request 253 : ALTER TABLE llx_events ADD INDEX idx_events_dateevent (dateevent) Erreur DB_ERROR_1016 Ne peut ouvrir le fichier: 'llx_events.ibd' (Errcode: 1)
Création des clés étrangères et des index pour la table llx_menu_const.key
Request 319 : ALTER TABLE llx_menu_const ADD CONSTRAINT `fk_menu_const_fk_menu` FOREIGN KEY (`fk_menu`) REFERENCES `llx_menu` (`rowid`) Erreur DB_ERROR_7 Error on rename of '.\dolibarr\llx_menu_const.frm' to '.\dolibarr\#sql2-1710-13b.frm' (Errcode: 13)
Chargement des données de référence OK

Lorsque je tante une nouvelle install de la 2.4.1 à partir de ma base existante, voici les erreurs que ça me retourne.

Pour la solution d'eldy, je ne sais pas ou coller la commande indiquées dans l'interface de restauration, "mysql command not found"
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13694

  • antares
  • Portrait de antares
  • Hors ligne
  • Fresh Boarder
  • Messages : 11
  • Karma: 0
as tu effacé ton ancienne installe sous easyphp ?

eventuellementsi tu veux tu peux m appeler ,me contacter avant sur mon mail
Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser.
c est des fois plus simple par telephone :)
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #13841

  • xiringuito
  • Portrait de xiringuito
J'ai toujours ce problème, peut-être que j'ai raté quelque chose mais je ne sais pas ou coller la commande de restauration en mode commande. Sous linux pas de prob, mais je suis sous vista et dans la console mysql est una commande not found. je pense tout de meme que ma base est pétée, quand j'édite un BL la ref de commande ne suit pas, c'est à dire qu'elle apparait bien dans les expé mais pas au niveau du BL.
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #14015

  • xiringuito
  • Portrait de xiringuito
J'ai peut-être un début de réponse à mon problème. Lorsque je fais un mysqldump via dolibarr, je n'ai pas d'erreur et mon fichier est créé (126Ko). Lorsque je lance la commande en console, Error 1016: Ne peut ouvrir le fichier llx_c_ape.ibd Errcode: 1) when using LOCK TABLES

Du coup le fichier est bien créé mais s'arrête à la table précédent llx_c_ape, autrement dit trés peu de donnée.

Avez vous une suggestion?
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #14022

  • regis
  • Portrait de regis
  • Hors ligne
  • Administrateur
  • Messages : 2042
  • Remerciements reçus 89
  • Karma: 140
je n'ai pas lu tout les posts, mais as-tu lancer une réparation des tables, et peux-être faut-il supprimer manuellement une fois la base arrêté, les fichiers de lock des tables qui sont peux-être bloqués.
L'administrateur a désactivé l'accès en écriture pour le public.

Re:Probleme d'upgrade en 2.5 il y a 10 ans 4 mois #14023

  • xiringuito
  • Portrait de xiringuito
Quelle est la procédure pour faire ça, j'ai essayé sous phpmyadmin un REPAIR TABLES llx-c-ape mais j'ai toujours une erreur d'ouverture de fichier
L'administrateur a désactivé l'accès en écriture pour le public.
  • Page :
  • 1
  • 2